Index: uspace/srv/net/nil/eth/eth.c
===================================================================
--- uspace/srv/net/nil/eth/eth.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/nil/eth/eth.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -586,49 +662,66 @@
 }
 
-int eth_prepare_packet(int flags, packet_t packet, uint8_t * src_addr, int ethertype, size_t mtu){
+/** Prepares the packet for sending.
+ *
+ * @param[in] flags	The device flags.
+ * @param[in] packet	The packet.
+ * @param[in] src_addr	The source hardware address.
+ * @param[in] ethertype	The ethernet protocol type.
+ * @param[in] mtu	The device maximum transmission unit.
+ * @returns		EOK on success.
+ * @returns		EINVAL if the packet addresses length is not long
+ *			enough.
+ * @returns		EINVAL if the packet is bigger than the device MTU.
+ * @returns		ENOMEM if there is not enough memory in the packet.
+ */
+static int
+eth_prepare_packet(int flags, packet_t packet, uint8_t *src_addr, int ethertype,
+    size_t mtu)
+{
 	eth_header_snap_ref header;
 	eth_header_lsap_ref header_lsap;
 	eth_header_ref header_dix;
 	eth_fcs_ref fcs;
-	uint8_t * src;
-	uint8_t * dest;
+	uint8_t *src;
+	uint8_t *dest;
 	size_t length;
 	int i;
-	void * padding;
+	void *padding;
 	eth_preamble_ref preamble;
 
 	i = packet_get_addr(packet, &src, &dest);
-	if(i < 0){
+	if (i < 0)
 		return i;
-	}
-	if(i != ETH_ADDR){
+	if (i != ETH_ADDR)
 		return EINVAL;
-	}
+
 	length = packet_get_data_length(packet);
-	if(length > mtu){
+	if (length > mtu)
 		return EINVAL;
-	}
-	if(length < ETH_MIN_TAGGED_CONTENT(flags)){
-		padding = packet_suffix(packet, ETH_MIN_TAGGED_CONTENT(flags) - length);
-		if(! padding){
+	
+	if (length < ETH_MIN_TAGGED_CONTENT(flags)) {
+		padding = packet_suffix(packet,
+		    ETH_MIN_TAGGED_CONTENT(flags) - length);
+		if (!padding)
 			return ENOMEM;
-		}
 		bzero(padding, ETH_MIN_TAGGED_CONTENT(flags) - length);
 	}
-	if(IS_DIX(flags)){
+	
+	if (IS_DIX(flags)) {
 		header_dix = PACKET_PREFIX(packet, eth_header_t);
-		if(! header_dix){
+		if (!header_dix)
 			return ENOMEM;
-		}
+		
 		header_dix->ethertype = (uint16_t) ethertype;
 		memcpy(header_dix->source_address, src_addr, ETH_ADDR);
 		memcpy(header_dix->destination_address, dest, ETH_ADDR);
 		src = &header_dix->destination_address[0];
-	}else if(IS_8023_2_LSAP(flags)){
+	} else if(IS_8023_2_LSAP(flags)) {
 		header_lsap = PACKET_PREFIX(packet, eth_header_lsap_t);
-		if(! header_lsap){
+		if (!header_lsap)
 			return ENOMEM;
-		}
-		header_lsap->header.ethertype = htons(length + sizeof(eth_header_lsap_t));
+		
+		header_lsap->header.ethertype = htons(length +
+		    sizeof(eth_header_lsap_t));
 		header_lsap->lsap.dsap = lsap_unmap(ntohs(ethertype));
 		header_lsap->lsap.ssap = header_lsap->lsap.dsap;
@@ -637,16 +730,18 @@
 		memcpy(header_lsap->header.destination_address, dest, ETH_ADDR);
 		src = &header_lsap->header.destination_address[0];
-	}else if(IS_8023_2_SNAP(flags)){
+	} else if(IS_8023_2_SNAP(flags)) {
 		header = PACKET_PREFIX(packet, eth_header_snap_t);
-		if(! header){
+		if (!header)
 			return ENOMEM;
-		}
-		header->header.ethertype = htons(length + sizeof(eth_header_lsap_t) + sizeof(eth_header_snap_t));
+		
+		header->header.ethertype = htons(length +
+		    sizeof(eth_header_lsap_t) + sizeof(eth_header_snap_t));
 		header->lsap.dsap = (uint16_t) ETH_LSAP_SNAP;
 		header->lsap.ssap = header->lsap.dsap;
 		header->lsap.ctrl = IEEE_8023_2_UI;
-		for(i = 0; i < 3; ++ i){
+		
+		for (i = 0; i < 3; ++ i)
 			header->snap.protocol[i] = 0;
-		}
+		
 		header->snap.ethertype = (uint16_t) ethertype;
 		memcpy(header->header.source_address, src_addr, ETH_ADDR);
@@ -654,69 +749,91 @@
 		src = &header->header.destination_address[0];
 	}
-	if(IS_DUMMY(flags)){
+	
+	if (IS_DUMMY(flags)) {
 		preamble = PACKET_PREFIX(packet, eth_preamble_t);
-		if(! preamble){
+		if (!preamble)
 			return ENOMEM;
-		}
-		for(i = 0; i < 7; ++ i){
+		
+		for (i = 0; i < 7; ++ i)
 			preamble->preamble[i] = ETH_PREAMBLE;
-		}
+		
 		preamble->sfd = ETH_SFD;
+		
 		fcs = PACKET_SUFFIX(packet, eth_fcs_t);
-		if(! fcs){
+		if (!fcs)
 			return ENOMEM;
-		}
-		*fcs = htonl(~ compute_crc32(~ 0u, src, length * 8));
-	}
+
+		*fcs = htonl(~compute_crc32(~0U, src, length * 8));
+	}
+	
 	return EOK;
 }
 
-int eth_send_message(device_id_t device_id, packet_t packet, services_t sender){
-	ERROR_DECLARE;
-
+/** Sends the packet queue.
+ *
+ * Sends only packet successfully processed by the eth_prepare_packet()
+ * function.
+ *
+ * @param[in] device_id	The device identifier.
+ * @param[in] packet	The packet queue.
+ * @param[in] sender	The sending module service.
+ * @returns		EOK on success.
+ * @returns		ENOENT if there no such device.
+ * @returns		EINVAL if the service parameter is not known.
+ */
+static int
+eth_send_message(device_id_t device_id, packet_t packet, services_t sender)
+{
 	eth_device_ref device;
 	packet_t next;
 	packet_t tmp;
 	int ethertype;
+	int rc;
 
 	ethertype = htons(protocol_map(SERVICE_ETHERNET, sender));
-	if(! ethertype){
+	if (!ethertype) {
 		pq_release_remote(eth_globals.net_phone, packet_get_id(packet));
 		return EINVAL;
 	}
+	
 	fibril_rwlock_read_lock(&eth_globals.devices_lock);
 	device = eth_devices_find(&eth_globals.devices, device_id);
-	if(! device){
+	if (!device) {
 		fibril_rwlock_read_unlock(&eth_globals.devices_lock);
 		return ENOENT;
 	}
+	
 	// process packet queue
 	next = packet;
-	do{
-		if(ERROR_OCCURRED(eth_prepare_packet(device->flags, next, (uint8_t *) device->addr->value, ethertype, device->mtu))){
+	do {
+		rc = eth_prepare_packet(device->flags, next,
+		    (uint8_t *) device->addr->value, ethertype, device->mtu);
+		if (rc != EOK) {
 			// release invalid packet
 			tmp = pq_detach(next);
-			if(next == packet){
+			if (next == packet)
 				packet = tmp;
-			}
-			pq_release_remote(eth_globals.net_phone, packet_get_id(next));
+			pq_release_remote(eth_globals.net_phone,
+			    packet_get_id(next));
 			next = tmp;
-		}else{
+		} else {
 			next = pq_next(next);
 		}
-	}while(next);
+	} while(next);
+	
 	// send packet queue
-	if(packet){
-		netif_send_msg(device->phone, device_id, packet, SERVICE_ETHERNET);
+	if (packet) {
+		netif_send_msg(device->phone, device_id, packet,
+		    SERVICE_ETHERNET);
 	}
 	fibril_rwlock_read_unlock(&eth_globals.devices_lock);
+	
 	return EOK;
 }
 
-int nil_message_standalone(const char *name, ipc_callid_t callid, ipc_call_t *call,
+int
+nil_message_standalone(const char *name, ipc_callid_t callid, ipc_call_t *call,
     ipc_call_t *answer, int *answer_count)
 {
-	ERROR_DECLARE;
-	
 	measured_string_ref address;
 	packet_t packet;
@@ -725,37 +842,47 @@
 	size_t suffix;
 	size_t content;
+	int rc;
 	
 	*answer_count = 0;
 	switch (IPC_GET_METHOD(*call)) {
-		case IPC_M_PHONE_HUNGUP:
+	case IPC_M_PHONE_HUNGUP:
+		return EOK;
+	
+	case NET_NIL_DEVICE:
+		return eth_device_message(IPC_GET_DEVICE(call),
+		    IPC_GET_SERVICE(call), IPC_GET_MTU(call));
+	case NET_NIL_SEND:
+		rc = packet_translate_remote(eth_globals.net_phone, &packet,
+		    IPC_GET_PACKET(call));
+		if (rc != EOK)
+			return rc;
+		return eth_send_message(IPC_GET_DEVICE(call), packet,
+		    IPC_GET_SERVICE(call));
+	case NET_NIL_PACKET_SPACE:
+		rc = eth_packet_space_message(IPC_GET_DEVICE(call), &addrlen,
+		    &prefix, &content, &suffix);
+		if (rc != EOK)
+			return rc;
+		IPC_SET_ADDR(answer, addrlen);
+		IPC_SET_PREFIX(answer, prefix);
+		IPC_SET_CONTENT(answer, content);
+		IPC_SET_SUFFIX(answer, suffix);
+		*answer_count = 4;
+		return EOK;
+	case NET_NIL_ADDR:
+		rc = eth_addr_message(IPC_GET_DEVICE(call), ETH_LOCAL_ADDR,
+		    &address);
+		if (rc != EOK)
+			return rc;
+		return measured_strings_reply(address, 1);
+	case NET_NIL_BROADCAST_ADDR:
+		rc = eth_addr_message(IPC_GET_DEVICE(call), ETH_BROADCAST_ADDR,
+		    &address);
+		if (rc != EOK)
 			return EOK;
-		case NET_NIL_DEVICE:
-			return eth_device_message(IPC_GET_DEVICE(call),
-			    IPC_GET_SERVICE(call), IPC_GET_MTU(call));
-		case NET_NIL_SEND:
-			ERROR_PROPAGATE(packet_translate_remote(eth_globals.net_phone, &packet,
-			    IPC_GET_PACKET(call)));
-			return eth_send_message(IPC_GET_DEVICE(call), packet,
-			    IPC_GET_SERVICE(call));
-		case NET_NIL_PACKET_SPACE:
-			ERROR_PROPAGATE(eth_packet_space_message(IPC_GET_DEVICE(call),
-			    &addrlen, &prefix, &content, &suffix));
-			IPC_SET_ADDR(answer, addrlen);
-			IPC_SET_PREFIX(answer, prefix);
-			IPC_SET_CONTENT(answer, content);
-			IPC_SET_SUFFIX(answer, suffix);
-			*answer_count = 4;
-			return EOK;
-		case NET_NIL_ADDR:
-			ERROR_PROPAGATE(eth_addr_message(IPC_GET_DEVICE(call),
-			    ETH_LOCAL_ADDR, &address));
-			return measured_strings_reply(address, 1);
-		case NET_NIL_BROADCAST_ADDR:
-			ERROR_PROPAGATE(eth_addr_message(IPC_GET_DEVICE(call),
-			    ETH_BROADCAST_ADDR, &address));
-			return measured_strings_reply(address, 1);
-		case IPC_M_CONNECT_TO_ME:
-			return eth_register_message(NIL_GET_PROTO(call),
-			    IPC_GET_PHONE(call));
+		return measured_strings_reply(address, 1);
+	case IPC_M_CONNECT_TO_ME:
+		return eth_register_message(NIL_GET_PROTO(call),
+		    IPC_GET_PHONE(call));
 	}
 	
@@ -763,33 +890,8 @@
 }
 
-void eth_receiver(ipc_callid_t iid, ipc_call_t * icall){
-	ERROR_DECLARE;
-
-	packet_t packet;
-
-	while(true){
-//		printf("message %d - %d\n", IPC_GET_METHOD(*icall), NET_NIL_FIRST);
-		switch(IPC_GET_METHOD(*icall)){
-			case NET_NIL_DEVICE_STATE:
-				nil_device_state_msg_local(0, IPC_GET_DEVICE(icall), IPC_GET_STATE(icall));
-				ipc_answer_0(iid, EOK);
-				break;
-			case NET_NIL_RECEIVED:
-				if(! ERROR_OCCURRED(packet_translate_remote(eth_globals.net_phone, &packet, IPC_GET_PACKET(icall)))){
-					ERROR_CODE = nil_received_msg_local(0, IPC_GET_DEVICE(icall), packet, 0);
-				}
-				ipc_answer_0(iid, (ipcarg_t) ERROR_CODE);
-				break;
-			default:
-				ipc_answer_0(iid, (ipcarg_t) ENOTSUP);
-		}
-		iid = async_get_call(icall);
-	}
-}
-
 /** Default thread for new connections.
  *
- * @param[in] iid The initial message identifier.
- * @param[in] icall The initial message call structure.
+ * @param[in] iid	The initial message identifier.
+ * @param[in] icall	The initial message call structure.
  *
  */
@@ -802,5 +904,5 @@
 	ipc_answer_0(iid, EOK);
 	
-	while(true) {
+	while (true) {
 		ipc_call_t answer;
 		int answer_count;
@@ -814,9 +916,13 @@
 		
 		/* Process the message */
-		int res = nil_module_message_standalone(NAME, callid, &call, &answer,
-		    &answer_count);
-		
-		/* End if said to either by the message or the processing result */
-		if ((IPC_GET_METHOD(call) == IPC_M_PHONE_HUNGUP) || (res == EHANGUP))
+		int res = nil_module_message_standalone(NAME, callid, &call,
+		    &answer, &answer_count);
+		
+		/*
+		 * End if told to either by the message or the processing
+		 * result.
+		 */
+		if ((IPC_GET_METHOD(call) == IPC_M_PHONE_HUNGUP) ||
+		    (res == EHANGUP))
 			return;
 		
@@ -828,11 +934,9 @@
 int main(int argc, char *argv[])
 {
-	ERROR_DECLARE;
+	int rc;
 	
 	/* Start the module */
-	if (ERROR_OCCURRED(nil_module_start_standalone(nil_client_connection)))
-		return ERROR_CODE;
-	
-	return EOK;
+	rc = nil_module_start_standalone(nil_client_connection);
+	return rc;
 }
 
Index: uspace/srv/net/nil/eth/eth.h
===================================================================
--- uspace/srv/net/nil/eth/eth.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/nil/eth/eth.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -32,9 +32,9 @@
 
 /** @file
- *  Ethernet module.
+ * Ethernet module.
  */
 
-#ifndef __NET_ETH_H__
-#define __NET_ETH_H__
+#ifndef NET_ETH_H_
+#define NET_ETH_H_
 
 #include <fibril_synch.h>
@@ -45,103 +45,92 @@
 
 /** Type definition of the Ethernet global data.
- *  @see eth_globals
+ * @see eth_globals
  */
-typedef struct eth_globals	eth_globals_t;
+typedef struct eth_globals eth_globals_t;
 
 /** Type definition of the Ethernet device specific data.
- *  @see eth_device
+ * @see eth_device
  */
-typedef struct eth_device	eth_device_t;
+typedef struct eth_device eth_device_t;
 
 /** Type definition of the Ethernet device specific data pointer.
- *  @see eth_device
+ * @see eth_device
  */
-typedef eth_device_t *		eth_device_ref;
+typedef eth_device_t *eth_device_ref;
 
 /** Type definition of the Ethernet protocol specific data.
- *  @see eth_proto
+ * @see eth_proto
  */
-typedef struct eth_proto	eth_proto_t;
+typedef struct eth_proto eth_proto_t;
 
 /** Type definition of the Ethernet protocol specific data pointer.
- *  @see eth_proto
+ * @see eth_proto
  */
-typedef eth_proto_t *		eth_proto_ref;
+typedef eth_proto_t *eth_proto_ref;
 
 /** Ethernet device map.
- *  Maps devices to the Ethernet device specific data.
- *  @see device.h
+ * Maps devices to the Ethernet device specific data.
+ * @see device.h
  */
-DEVICE_MAP_DECLARE(eth_devices, eth_device_t)
+DEVICE_MAP_DECLARE(eth_devices, eth_device_t);
 
 /** Ethernet protocol map.
- *  Maps protocol identifiers to the Ethernet protocol specific data.
- *  @see int_map.h
+ * Maps protocol identifiers to the Ethernet protocol specific data.
+ * @see int_map.h
  */
-INT_MAP_DECLARE(eth_protos, eth_proto_t)
+INT_MAP_DECLARE(eth_protos, eth_proto_t);
 
-/** Ethernet device specific data.
- */
-struct	eth_device{
-	/** Device identifier.
-	 */
+/** Ethernet device specific data. */
+struct eth_device {
+	/** Device identifier. */
 	device_id_t device_id;
-	/** Device driver service.
-	 */
+	/** Device driver service. */
 	services_t service;
-	/** Driver phone.
-	 */
+	/** Driver phone. */
 	int phone;
-	/** Maximal transmission unit.
-	 */
+	/** Maximal transmission unit. */
 	size_t mtu;
-	/** Various device flags.
-	 *  @see ETH_DUMMY
-	 *  @see ETH_MODE_MASK
+	
+	/**
+	 * Various device flags.
+	 * @see ETH_DUMMY
+	 * @see ETH_MODE_MASK
 	 */
 	int flags;
-	/** Actual device hardware address.
-	 */
+	
+	/** Actual device hardware address. */
 	measured_string_ref addr;
-	/** Actual device hardware address data.
-	 */
-	char * addr_data;
+	/** Actual device hardware address data. */
+	char *addr_data;
 };
 
-/** Ethernet protocol specific data.
- */
-struct eth_proto{
-	/** Protocol service.
-	 */
+/** Ethernet protocol specific data. */
+struct eth_proto {
+	/** Protocol service. */
 	services_t service;
-	/** Protocol identifier.
-	 */
+	/** Protocol identifier. */
 	int protocol;
-	/** Protocol module phone.
-	 */
+	/** Protocol module phone. */
 	int phone;
 };
 
-/** Ethernet global data.
- */
-struct	eth_globals{
-	/** Networking module phone.
-	 */
+/** Ethernet global data. */
+struct eth_globals {
+	/** Networking module phone. */
 	int net_phone;
-	/** Safety lock for devices.
-	 */
+	/** Safety lock for devices. */
 	fibril_rwlock_t devices_lock;
-	/** All known Ethernet devices.
-	 */
+	/** All known Ethernet devices. */
 	eth_devices_t devices;
-	/** Safety lock for protocols.
-	 */
+	/** Safety lock for protocols. */
 	fibril_rwlock_t protos_lock;
-	/** Protocol map.
-	 *  Service phone map for each protocol.
+	
+	/**
+	 * Protocol map.
+	 * Service phone map for each protocol.
 	 */
 	eth_protos_t protos;
-	/** Broadcast device hardware address.
-	 */
+	
+	/** Broadcast device hardware address. */
 	measured_string_ref broadcast_addr;
 };
Index: uspace/srv/net/nil/eth/eth_header.h
===================================================================
--- uspace/srv/net/nil/eth/eth_header.h	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/nil/eth/eth_header.h	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -32,101 +32,103 @@
 
 /** @file
- *  Ethernet protocol header definitions.
- *  Based on the IEEE~802.3-2005
- */
-
-#ifndef __NET_ETH_HEADER_H__
-#define __NET_ETH_HEADER_H__
+ * Ethernet protocol header definitions.
+ * Based on the IEEE 802.3-2005
+ */
+
+#ifndef NET_ETH_HEADER_H_
+#define NET_ETH_HEADER_H_
 
 #include <sys/types.h>
 
-/** Ethernet address length.
- */
-#define ETH_ADDR		6
-
-/** Ethernet header preamble value.
- */
+/** Ethernet address length. */
+#define ETH_ADDR	6
+
+/** Ethernet header preamble value. */
 #define ETH_PREAMBLE	0x55
 
-/** Ethernet header start of frame value.
- */
-#define ETH_SFD			0xD5
-
-/** IEEE 802.2 unordered information control field.
- */
+/** Ethernet header start of frame value. */
+#define ETH_SFD		0xD5
+
+/** IEEE 802.2 unordered information control field. */
 #define IEEE_8023_2_UI	0x03
 
 /** Type definition of the Ethernet header IEEE 802.3 + 802.2 + SNAP extensions.
- *  @see eth_header_snap
- */
-typedef struct eth_header_snap	eth_header_snap_t;
-
-/** Type definition of the Ethernet header IEEE 802.3 + 802.2 + SNAP extensions pointer.
- *  @see eth_header_snap
- */
-typedef eth_header_snap_t *		eth_header_snap_ref;
+ * @see eth_header_snap
+ */
+typedef struct eth_header_snap eth_header_snap_t;
+
+/** Type definition of the Ethernet header IEEE 802.3 + 802.2 + SNAP extensions
+ * pointer.
+ *
+ * @see eth_header_snap
+ */
+typedef eth_header_snap_t *eth_header_snap_ref;
 
 /** Type definition of the Ethernet header IEEE 802.3 + 802.2 + SNAP extensions.
- *  @see eth_header_lsap
- */
-typedef struct eth_header_lsap	eth_header_lsap_t;
+ * @see eth_header_lsap
+ */
+typedef struct eth_header_lsap eth_header_lsap_t;
 
 /** Type definition of the Ethernet header IEEE 802.3 + 802.2 extension pointer.
- *  @see eth_header_lsap
- */
-typedef eth_header_lsap_t *		eth_header_lsap_ref;
+ * @see eth_header_lsap
+ */
+typedef eth_header_lsap_t *eth_header_lsap_ref;
 
 /** Type definition of the Ethernet header LSAP extension.
- *  @see eth_ieee_lsap
- */
-typedef struct eth_ieee_lsap	eth_ieee_lsap_t;
+ * @see eth_ieee_lsap
+ */
+typedef struct eth_ieee_lsap eth_ieee_lsap_t;
 
 /** Type definition of the Ethernet header LSAP extension pointer.
- *  @see eth_ieee_lsap
- */
-typedef eth_ieee_lsap_t *		eth_ieee_lsap_ref;
+ * @see eth_ieee_lsap
+ */
+typedef eth_ieee_lsap_t *eth_ieee_lsap_ref;
 
 /** Type definition of the Ethernet header SNAP extension.
- *  @see eth_snap
- */
-typedef struct eth_snap		eth_snap_t;
+ * @see eth_snap
+ */
+typedef struct eth_snap eth_snap_t;
 
 /** Type definition of the Ethernet header SNAP extension pointer.
- *  @see eth_snap
- */
-typedef eth_snap_t *		eth_snap_ref;
+ * @see eth_snap
+ */
+typedef eth_snap_t *eth_snap_ref;
 
 /** Type definition of the Ethernet header preamble.
- *  @see preamble
- */
-typedef struct eth_preamble	eth_preamble_t;
+ * @see preamble
+ */
+typedef struct eth_preamble eth_preamble_t;
 
 /** Type definition of the Ethernet header preamble pointer.
- *  @see eth_preamble
- */
-typedef eth_preamble_t *	eth_preamble_ref;
+ * @see eth_preamble
+ */
+typedef eth_preamble_t *eth_preamble_ref;
 
 /** Type definition of the Ethernet header.
- *  @see eth_header
- */
-typedef struct eth_header	eth_header_t;
+ * @see eth_header
+ */
+typedef struct eth_header eth_header_t;
 
 /** Type definition of the Ethernet header pointer.
- *  @see eth_header
- */
-typedef eth_header_t *		eth_header_ref;
-
-/** Ethernet header Link Service Access Point extension.
- */
-struct eth_ieee_lsap{
-	/** Destination Service Access Point identifier.
+ * @see eth_header
+ */
+typedef eth_header_t *eth_header_ref;
+
+/** Ethernet header Link Service Access Point extension. */
+struct eth_ieee_lsap {
+	/**
+	 * Destination Service Access Point identifier.
 	 * The possible values are assigned by an IEEE committee.
 	 */
 	uint8_t dsap;
-	/** Source Service Access Point identifier.
+	
+	/**
+	 * Source Service Access Point identifier.
 	 * The possible values are assigned by an IEEE committee.
 	 */
 	uint8_t ssap;
-	/** Control parameter.
+	
+	/**
+	 * Control parameter.
 	 * The possible values are assigned by an IEEE committee.
 	 */
@@ -134,12 +136,12 @@
 } __attribute__ ((packed));
 
-/** Ethernet header SNAP extension.
- */
-struct eth_snap{
-	/** Protocol identifier or organization code.
-	 */
+/** Ethernet header SNAP extension. */
+struct eth_snap {
+	/** Protocol identifier or organization code. */
 	uint8_t protocol[3];
-	/** Ethernet protocol identifier in the network byte order (big endian).
-	 *  @see ethernet_protocols.h
+	
+	/**
+	 * Ethernet protocol identifier in the network byte order (big endian).
+	 * @see ethernet_protocols.h
 	 */
 	uint16_t ethertype;
@@ -147,68 +149,76 @@
 
 /** Ethernet header preamble.
- *  Used for dummy devices.
- */
-struct eth_preamble{
-	/** Controlling preamble used for the frame transmission synchronization.
-	 *  All should be set to ETH_PREAMBLE.
+ *
+ * Used for dummy devices.
+ */
+struct eth_preamble {
+	/**
+	 * Controlling preamble used for the frame transmission synchronization.
+	 * All should be set to ETH_PREAMBLE.
 	 */
 	uint8_t preamble[7];
-	/** Start of Frame Delimiter used for the frame transmission synchronization.
-	 *  Should be set to ETH_SFD.
+	
+	/**
+	 * Start of Frame Delimiter used for the frame transmission
+	 * synchronization.
+	 * Should be set to ETH_SFD.
 	 */
 	uint8_t sfd;
 } __attribute__ ((packed));
 
-/** Ethernet header.
- */
-struct eth_header{
-	/** Destination host Ethernet address (MAC address).
-	 */
+/** Ethernet header. */
+struct eth_header {
+	/** Destination host Ethernet address (MAC address). */
 	uint8_t destination_address[ETH_ADDR];
-	/** Source host Ethernet address (MAC address).
-	 */
+	/** Source host Ethernet address (MAC address). */
 	uint8_t source_address[ETH_ADDR];
-	/** Ethernet protocol identifier in the network byte order (big endian).
-	 *  @see ethernet_protocols.h
+	
+	/**
+	 * Ethernet protocol identifier in the network byte order (big endian).
+	 * @see ethernet_protocols.h
 	 */
 	uint16_t ethertype;
 } __attribute__ ((packed));
 
-/** Ethernet header IEEE 802.3 + 802.2 extension.
- */
-struct eth_header_lsap{
-	/** Ethernet header.
-	 */
+/** Ethernet header IEEE 802.3 + 802.2 extension. */
+struct eth_header_lsap {
+	/** Ethernet header. */
 	eth_header_t header;
-	/** LSAP extension.
-	 *  If DSAP and SSAP are set to ETH_LSAP_SNAP the SNAP extension is being used.
-	 *  If DSAP and SSAP fields are equal to ETH_RAW the raw Ethernet packet without any extensions is being used and the frame content starts rigth after the two fields.
+	
+	/**
+	 * LSAP extension.
+	 * If DSAP and SSAP are set to ETH_LSAP_SNAP the SNAP extension is being
+	 * used.
+	 * If DSAP and SSAP fields are equal to ETH_RAW the raw Ethernet packet
+	 * without any extensions is being used and the frame content starts
+	 * rigth after the two fields.
 	 */
 	eth_ieee_lsap_t lsap;
 } __attribute__ ((packed));
 
-/** Ethernet header IEEE 802.3 + 802.2 + SNAP extensions.
- */
-struct eth_header_snap{
-	/** Ethernet header.
-	 */
+/** Ethernet header IEEE 802.3 + 802.2 + SNAP extensions. */
+struct eth_header_snap {
+	/** Ethernet header. */
 	eth_header_t header;
-	/** LSAP extension.
-	 *  If DSAP and SSAP are set to ETH_LSAP_SNAP the SNAP extension is being used.
-	 *  If DSAP and SSAP fields are equal to ETH_RAW the raw Ethernet packet without any extensions is being used and the frame content starts rigth after the two fields.
+	
+	/**
+	 * LSAP extension.
+	 * If DSAP and SSAP are set to ETH_LSAP_SNAP the SNAP extension is being
+	 * used.
+	 * If DSAP and SSAP fields are equal to ETH_RAW the raw Ethernet packet
+	 * without any extensions is being used and the frame content starts
+	 * rigth after the two fields.
 	 */
 	eth_ieee_lsap_t lsap;
-	/** SNAP extension.
-	 */
+	
+	/** SNAP extension. */
 	eth_snap_t snap;
 } __attribute__ ((packed));
 
-/** Ethernet Frame Check Sequence.
- */
-typedef uint32_t		eth_fcs_t;
-
-/** Ethernet Frame Check Sequence pointer.
- */
-typedef eth_fcs_t *		eth_fcs_ref;
+/** Ethernet Frame Check Sequence. */
+typedef uint32_t eth_fcs_t;
+
+/** Ethernet Frame Check Sequence pointer. */
+typedef eth_fcs_t *eth_fcs_ref;
 
 #endif
Index: uspace/srv/net/nil/eth/eth_module.c
===================================================================
--- uspace/srv/net/nil/eth/eth_module.c	(revision 9414abc19106996bac61d12354e75953aa14bf29)
+++ uspace/srv/net/nil/eth/eth_module.c	(revision 32efd865176bfa9c946bb85353ec87e270ab1dda)
@@ -36,7 +36,9 @@
  */
 
+#include "eth.h"
+
 #include <async.h>
 #include <stdio.h>
-#include <err.h>
+#include <errno.h>
 
 #include <ipc/ipc.h>
@@ -48,52 +50,34 @@
 #include <nil_local.h>
 
-#include "eth.h"
-
-/** Starts the Ethernet module.
- *  Initializes the client connection serving function, initializes the module, registers the module service and starts the async manager, processing IPC messages in an infinite loop.
- *  @param[in] client_connection The client connection processing function. The module skeleton propagates its own one.
- *  @returns EOK on success.
- *  @returns Other error codes as defined for the pm_init() function.
- *  @returns Other error codes as defined for the nil_initialize() function.
- *  @returns Other error codes as defined for the REGISTER_ME() macro function.
- */
 int nil_module_start_standalone(async_client_conn_t client_connection)
 {
-	ERROR_DECLARE;
+	ipcarg_t phonehash;
+	int rc;
 	
 	async_set_client_connection(client_connection);
 	int net_phone = net_connect_module();
-	ERROR_PROPAGATE(pm_init());
+
+	rc = pm_init();
+	if (rc != EOK)
+		return rc;
 	
-	ipcarg_t phonehash;
-	if (ERROR_OCCURRED(nil_initialize(net_phone))
-	    || ERROR_OCCURRED(REGISTER_ME(SERVICE_ETHERNET, &phonehash))) {
-		pm_destroy();
-		return ERROR_CODE;
-	}
+	rc = nil_initialize(net_phone);
+	if (rc != EOK)
+		goto out;
+
+	rc = REGISTER_ME(SERVICE_ETHERNET, &phonehash);
+	if (rc != EOK)
+		goto out;
 	
 	async_manager();
-	
+
+out:
 	pm_destroy();
-	return EOK;
+	return rc;
 }
 
-/** Pass the parameters to the module specific nil_message() function.
- *
- * @param[in]  name         Module name.
- * @param[in]  callid       The message identifier.
- * @param[in]  call         The message parameters.
- * @param[out] answer       The message answer parameters.
- * @param[out] answer_count The last parameter for the actual answer
- *                          in the answer parameter.
- *
- * @return EOK on success.
- * @return ENOTSUP if the message is not known.
- * @return Other error codes as defined for each
- *         specific module message function.
- *
- */
-int nil_module_message_standalone(const char *name, ipc_callid_t callid, ipc_call_t *call,
-    ipc_call_t *answer, int *answer_count)
+int
+nil_module_message_standalone(const char *name, ipc_callid_t callid,
+    ipc_call_t *call, ipc_call_t *answer, int *answer_count)
 {
 	return nil_message_standalone(name, callid, call, answer, answer_count);
